import { action, makeObservable, observable } from "mobx";

export interface FilterOptions {
    minRating: number, 
    types: number[], 
    onlyOwn: boolean
}

class MapStore {
    filterOptions?: FilterOptions = undefined;

    constructor() {
        makeObservable(this, {
            filterOptions: observable,
            setFilterOptions: action
        });
    }

    async setFilterOptions(filterOptions: FilterOptions) {
        this.filterOptions = filterOptions;
    }
}

export const mapStore = new MapStore();